## octave-octproj 1.1.5

=== DESCRIPTION ===
Name: OctPROJ
Version: 1.1.5
Date: 2015-06-16
Author: José Luis García Pallero <jgpallero@gmail.com>
Maintainer: José Luis García Pallero <jgpallero@gmail.com>
Title: GNU Octave bindings to PROJ.4
Description: This package allows to call functions of PROJ.4 library for
 cartographic projections transformations.
Depends: Octave (>= 2.9.7)
Url: http://trac.osgeo.org/proj/ http://octave.sourceforge.net/index.html
Autoload: no
License: GPLv3+
SystemRequirements: libproj-dev (>= 4.5.0) (Debian system)

=== src/Makefile ===
# -*- coding: utf-8 -*-
#Compiler
MKOCTFILE=mkoctfile
#Common warning flags for C and C++
FLAGSCOMW=-Wall -Wextra -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
#Common optimization flags for C and C++
FLAGSCOMO=-O2 -funroll-loops -fno-common -fshort-enums
#Flags for C
CFLAGS=-std=c99 -pedantic $(FLAGSCOMW) -Wconversion -Wmissing-prototypes
CFLAGS+=-Wstrict-prototypes -Wnested-externs $(FLAGSCOMO)
#Flags for C++
CXXFLAGS=$(FLAGSCOMW) $(FLAGSCOMO)
#Flags for the linker
LDFLAGS=-lproj
#Export flags for compilers and linker
export CFLAGS CXXFLAGS

.PHONY: all
all: compile

.PHONY: compile
compile:
	$(MKOCTFILE) -c projwrap.c -o projwrap.o
	$(MKOCTFILE) -s _op_transform.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_fwd.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_inv.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_geod2geoc.cc $(LDFLAGS)
	$(MKOCTFILE) -s _op_geoc2geod.cc $(LDFLAGS)

.PHONY: clean
clean:
	rm -rf *.o

.PHONY: cleanall
cleanall:
	rm -rf *~ *.o *.oct

=== debian/changelog ===
octave-octproj (1.1.5-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:13 +0100

octave-octproj (1.1.5-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:25:51 -0300

octave-octproj (1.1.5-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/build-against-proj-6.patch: New patch (Closes: #931914)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Aug 2019 15:39:00 -0300

octave-octproj (1.1.5-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * Add upstream documentation in PDF form
  * d/control:
    + Improve package description
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/do-not-strip-debugging-symbols.patch: New patch
  * d/copyright:
    + Use secure URI in Format header
    + Update upstream copyright statement
    + Add licensing conditions for octproj.tex

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:58 -0200

octave-octproj (1.1.5-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:39 -0200

octave-octproj (1.1.5-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/watch: Bump to format version 4
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:17 -0200

octave-octproj (1.1.5-1) unstable; urgency=low

  * Initial release (closes: #871926)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Aug 2017 14:39:13 -0300

=== debian/control ===
Source: octave-octproj
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libproj-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/octproj/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octproj.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octproj
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-octproj
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: GNU Octave bindings to PROJ.4
 OctPROJ allows one to perform cartographic projections in Octave, a
 scientific computation software, using the PROJ.4 library. The
 available functions provide forward and inverse computation between
 geodetic and projected coordinates, including altitude.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/octproj-(.+)\.tar\.gz

## octave-octproj 2.0.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 #Compiler
-MKOCTFILE=mkoctfile
+MKOCTFILE?=mkoctfile
 #Common warning flags for C and C++
 FLAGSCOMW=-Wall -Wextra -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
 #Common optimization flags for C and C++
@@ -20,12 +20,13 @@
 
 .PHONY: compile
 compile:
-	$(MKOCTFILE) -c projwrap.c -o projwrap.o
-	$(MKOCTFILE) -s _op_transform.cc projwrap.o $(LDFLAGS)
+	$(MKOCTFILE) $(CFLAGS) -c projwrap.c -o projwrap.o
+	$(MKOCTFILE) $(CFLAGS) -c geodgeoc.c -o geodgeoc.o
 	$(MKOCTFILE) -s _op_fwd.cc projwrap.o $(LDFLAGS)
 	$(MKOCTFILE) -s _op_inv.cc projwrap.o $(LDFLAGS)
-	$(MKOCTFILE) -s _op_geod2geoc.cc $(LDFLAGS)
-	$(MKOCTFILE) -s _op_geoc2geod.cc $(LDFLAGS)
+	$(MKOCTFILE) -s _op_transform.cc projwrap.o $(LDFLAGS)
+	$(MKOCTFILE) -s _op_geod2geoc.cc geodgeoc.o
+	$(MKOCTFILE) -s _op_geoc2geod.cc geodgeoc.o
 
 .PHONY: clean
 clean:

=== debian/changelog ===
octave-octproj (2.0.1-5build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:33:50 +0000

octave-octproj (2.0.1-5) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright year for the debian/* files
  * d/u/metadata: Set fields Archive and Repository
  * d/s/options: Drop useless file
  * d/p/do-not-strip-debugging-symbols.patch: Fix line number in block header
  * d/p/honor-cflags-cxxflags.patch: New patch
  * d/p/format-security-error.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Nov 2021 15:24:32 -0300

octave-octproj (2.0.1-4) unstable; urgency=medium

  * d/p/specify-utm-zone.patch: New patch (Closes: #993005)
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Aug 2021 04:52:35 -0300

octave-octproj (2.0.1-3) unstable; urgency=medium

  * Upload to unstable (really, closes: #983215)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:39:32 -0300

octave-octproj (2.0.1-2) experimental; urgency=medium

  * d/p/build-against-proj-6.patch: Drop patch.
    This is necessary for building the package against PROJ version 8.
    Thanks to Bas Couwenberg for the fix (Closes: #983215)
  * d/s/options: Add Makefile to the extend-diff-ignore list
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Feb 2021 16:04:30 -0300

octave-octproj (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/copyright: Reflect upstream changes
  * d/p/do-not-strip-debugging-symbols.patch: Refresh for new upstream version
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 26 May 2020 06:14:43 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libproj-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/octproj/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octproj.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octproj

## octave-octproj 3.0.2

=== DESCRIPTION ===
Name: OctPROJ
Version: 3.0.2
Date: 2022-11-07
Author: José Luis García Pallero <jgpallero@gmail.com>
Maintainer: José Luis García Pallero <jgpallero@gmail.com>
Title: GNU Octave bindings to PROJ
Description: This package allows to call functions of PROJ library for
 cartographic projections and CRS transformations.
Depends: Octave (>= 3.0.0)
Url: https://bitbucket.org/jgpallero/octproj/
Autoload: no
License: GPLv3+
SystemRequirements: libproj-dev (>= 6.3.0) (Debian system)

=== debian/changelog ===
octave-octproj (3.0.2-1build2) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:50:22 +0000

octave-octproj (3.0.2-1build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:31:38 +0000

octave-octproj (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * d/copyright: Reflect upstream changes
  * Drop patches (applied upstream):
    + d/p/specify-utm-zone.patch
    + d/p/honor-cflags-cxxflags.patch
    + d/p/format-security-error.patch
  * d/p/do-not-strip-debugging-symbols.patch: Refresh for new upstream version
  * d/s/lintian-overrides: Add lintian override for false positive on
    license-problem-gfdl-invariants
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Nov 2022 13:52:26 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                libproj-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/octproj/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octproj.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octproj

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/octproj/ \
  https://bitbucket.org/jgpallero/octproj/downloads/octproj-(.+).tar.gz

## octave-octproj 3.1.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: OctPROJ
-Version: 3.0.2
-Date: 2022-11-07
+Version: 3.1.0
+Date: 2025-06-30
 Author: José Luis García Pallero <jgpallero@gmail.com>
 Maintainer: José Luis García Pallero <jgpallero@gmail.com>
 Title: GNU Octave bindings to PROJ

=== src/Makefile ===
# -*- coding: utf-8 -*-
#Compiler
MKOCTFILE?=mkoctfile
#Common warning flags for C and C++
FLAGSCOMW=-Wall -Wextra -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
#Common optimization flags for C and C++
FLAGSCOMO=-O3 -funroll-loops -fno-common -fshort-enums
#Flags for C
CFLAGS+=-std=c99 -pedantic $(FLAGSCOMW) -Wconversion -Wmissing-prototypes
CFLAGS+=-Wstrict-prototypes -Wnested-externs $(FLAGSCOMO)
#Flags for C++
CXXFLAGS+=$(FLAGSCOMW) $(FLAGSCOMO)
#Flags for the linker
LDFLAGS+=-lproj
#Export flags for compilers and linker
export CFLAGS CXXFLAGS

.PHONY: all
all: compile

.PHONY: compile
compile:
	$(MKOCTFILE) -c projwrap.c -o projwrap.o
	$(MKOCTFILE) -c geodgeoc.c -o geodgeoc.o
	$(MKOCTFILE) -s _op_fwd.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_inv.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_transform.cc projwrap.o $(LDFLAGS)
	$(MKOCTFILE) -s _op_geod2geoc.cc geodgeoc.o
	$(MKOCTFILE) -s _op_geoc2geod.cc geodgeoc.o

.PHONY: clean
clean:
	rm -rf *.o

.PHONY: cleanall
cleanall:
	rm -rf *~ *.o *.oct

=== debian/changelog ===
octave-octproj (3.1.0+ds-3) unstable; urgency=medium

  * d/watch: Convert to format version 5
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 03:38:43 -0300

octave-octproj (3.1.0+ds-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2025 17:31:33 +0200

octave-octproj (3.1.0+ds-1) experimental; urgency=medium

  * New upstream version 3.1.0+ds
  * Exclude extraneous file from tarball
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL
  * d/u/metadata: Update Bug-Database URL

 -- Rafael Laboissière <rafael@debian.org>  Fri, 18 Jul 2025 03:31:14 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                libproj-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/octproj/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/octproj/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octproj.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octproj
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-octproj
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/octproj/
Matching-Pattern: https://bitbucket.org/jgpallero/octproj/downloads/octproj-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: s/[~+]ds[0-9]*//
Repacksuffix: +ds
